/*
 *  $Id: console.h,v 1.1 1999/04/07 15:57:05 joel Exp $
 */

#ifndef _M821_CONSOLE_H_
#define _M821_CONSOLE_H_

#include <rtems/libio.h>

int m821_smc_set_attributes(int, const struct termios*);
int m821_scc_set_attributes(int, const struct termios*);
void m821_scc_initialize(int);
void m821_smc_initialize(int);
int m821_char_poll_read(int);
int m821_char_poll_write(int, const char*, int);
rtems_isr m821_scc1_console_interrupt_handler(rtems_vector_number);
rtems_isr m821_scc2_console_interrupt_handler(rtems_vector_number);
rtems_isr m821_smc1_console_interrupt_handler(rtems_vector_number);
rtems_isr m821_smc2_console_interrupt_handler(rtems_vector_number);
int m821_buf_poll_read(int, char**);
int m821_buf_poll_write(int, char*, int);
void m821_console_initialize(void);
rtems_device_driver m821_console_read(rtems_device_major_number,
				      rtems_device_minor_number,
				      void*);
rtems_device_driver m821_console_write(rtems_device_major_number,
				       rtems_device_minor_number,
				       void*);


typedef struct Buf_t_ {
  struct Buf_t_ *next;
  volatile char *buf;
  volatile int   len;
  int   pos;
} Buf_t;

#define SMC1_MINOR    0
#define SMC2_MINOR    1
#define SCC1_MINOR    2
#define SCC2_MINOR    3


#endif
